LLM session stats
Count, average, percentile bands and (optionally) the selected session's percentile ranks across sessions.
Count, average, percentile bands and (optionally) the selected session's percentile ranks across sessions.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_llm_analyticsstart_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timeprovider?array<>Filter to specific LLM telemetry providers.
model?array<string>Filter to specific model names.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
The request has succeeded.
application/json- response
Aggregate session statistics over the sessions matching the filters.
session_count*integerNumber of sessions the statistics are computed over.
int64cost*Average, median and peak (p95) for one session metric over the selected range.
tokens*Average, median and peak (p95) for one session metric over the selected range.
duration*Average, median and peak (p95) for one session metric over the selected range.
requests*Average, median and peak (p95) for one session metric over the selected range.
curl -X GET "https://example.com/analytics/llm-session-stats?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "session_count": 0, "cost": { "avg": 0.1, "p50": 0.1, "p95": 0.1 }, "tokens": { "avg": 0.1, "p50": 0.1, "p95": 0.1 }, "duration": { "avg": 0.1, "p50": 0.1, "p95": 0.1 }, "requests": { "avg": 0.1, "p50": 0.1, "p95": 0.1 }}